Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.communication
Interface I_Constants

All Known Implementing Classes:
  C_Arena, C_FileClassLoader, C_GameObject, C_GLength, C_Goody, C_GPoints, C_GSpeed, C_LevelLoader, C_LogFileReader, C_LogFileWriter, C_RecordFileReader, C_RecordFileWriter, C_Snake, C_WindowArena, C_WindowMain, C_WindowOptions, C_WindowPlayer, C_WindowReplay, C_World, D_PlayerData, GrDlgWindow, M_GameEngine, M_GraphixEngineUI, M_Main, M_PlayerHandler

    public interface I_Constants

A set of all common constants used in the game

Version:
  $Revision: 1.35 $
Author:
  roland, lars

Field Summary
`static java.lang.String` | `analyse_ms`
`static java.lang.String` | `auto_grow_delay`
`static java.lang.String` | `auto_slowdown_delay`
`static java.lang.String` | `autogamespeed`
`static java.lang.String` | `closemonitor`
`static java.lang.String` | `damage_length_grow`
`static java.lang.String` | `damage_points_radius`
`static boolean` | `DEBUG` shell the project print debug-messeges?
`static java.lang.String` | `delplayer`
`static java.lang.String` | `easy_points`
`static java.lang.String` | `ejectreplay`
`static java.lang.String` | `emergencyPause`
`static java.lang.String` | `exit_time`
`static int` | `FACE_EAST` face direction of an GameObject
`static int` | `FACE_NORTH` face direction of an GameObject
`static int` | `FACE_SOUTH` face direction of an GameObject
`static int` | `FACE_WEST` face direction of an GameObject
`static java.lang.String` | `game_end`
`static java.lang.String` | `goody_length_occ`
`static java.lang.String` | `goody_length_value`
`static java.lang.String` | `goody_points_occ`
`static java.lang.String` | `goody_points_value`
`static java.lang.String` | `goody_shorter_occ`
`static java.lang.String` | `goody_shorter_value`
`static java.lang.String` | `goody_slowdown_occ`
`static java.lang.String` | `goody_speed_occ`
`static int` | `IN_ACTION` if a snake is on the field and running
`static int` | `IN_ERROR_EXC` if the player threw a exception
`static int` | `IN_ERROR_INIT` if the player wasnt able to initialize
`static int` | `IN_ERROR_SPACE` if the player was gaining to much RAM-space
`static int` | `IN_ERROR_TIME` if the player needed to much calculationtime
`static int` | `IN_EXIT` if the snake has left the house throu the exit
`static int` | `IN_HEAVEN` if the snake died in battle, rest in peace
`static java.lang.String` | `init_length`
`static java.lang.String` | `init_move_delay`
`static java.lang.String` | `kill`
`static java.lang.String` | `kill_point_goodies`
`static java.lang.String` | `kill_points_radius`
`static java.lang.String` | `loaddummy`
`static java.lang.String` | `loadhuman`
`static java.lang.String` | `loadlevel`
`static java.lang.String` | `loadplayer`
`static java.lang.String` | `loadscript`
`static java.lang.String` | `logging`
`static java.lang.String` | `max_goody_occ_delay`
`static int` | `MAX_HUMAN_PLAYERS` the maximal number of human players the program can handle
`static java.lang.String` | `max_mem_check_delay`
`static java.lang.String` | `max_move_delay`
`static java.lang.String` | `max_player_mem`
`static int` | `MAX_PLAYERS` the maximal number of players the program can handle
`static java.lang.String` | `max_thinking_ms`
`static java.lang.String` | `memkill`
`static java.lang.String` | `min_cycle_ms`
`static java.lang.String` | `min_move_delay`
`static int` | `MOVE_EAST` face direction of an GameObject
`static int` | `MOVE_NORTH` face direction of an GameObject
`static int` | `MOVE_SOUTH` face direction of an GameObject
`static int` | `MOVE_WEST` face direction of an GameObject
`static java.lang.String` | `openmonitor`
`static java.lang.String` | `overalldelay`
`static java.lang.String` | `pause`
`static java.lang.String` | `player_controlling`
`static java.lang.String` | `print_calc_ms`
`static java.lang.String` | `print_parameter`
`static java.lang.String` | `print_player_mem`
`static java.lang.String` | `print_playfield`
`static java.lang.String` | `quit`
`static java.lang.String` | `record`
`static java.lang.String` | `recordname`
`static java.lang.String` | `replay`
`static java.lang.String` | `replay_reverse`
`static java.lang.String` | `replay_stepwidth`
`static java.lang.String` | `replay_stepwise`
`static java.lang.String` | `run`
`static java.lang.String` | `set`
`static java.lang.String` | `show_subcycles`
`static java.lang.String` | `start`
`static java.lang.String` | `stop`
`static java.lang.String` | `suddend_time`
`static java.lang.String` | `survival_points`
`static java.lang.String` | `timekill`
`static java.lang.String` | `tolerance_ms`
`static int` | `TURN_LEFT` the snake turns left
`static int` | `TURN_NONE` the snake moves stright ahead
`static int` | `TURN_RIGHT` the snake turns right

Field Detail

### DEBUG

    static final boolean DEBUG

  shell the project print debug-messeges?

  See Also:
    Constant Field Values

### loadplayer

    static final java.lang.String loadplayer

See Also:
  Constant Field Values

### loadhuman

    static final java.lang.String loadhuman

See Also:
  Constant Field Values

### loaddummy

    static final java.lang.String loaddummy

See Also:
  Constant Field Values

### delplayer

    static final java.lang.String delplayer

See Also:
  Constant Field Values

### loadlevel

    static final java.lang.String loadlevel

See Also:
  Constant Field Values

### loadscript

    static final java.lang.String loadscript

See Also:
  Constant Field Values

### run

    static final java.lang.String run

See Also:
  Constant Field Values

### start

    static final java.lang.String start

See Also:
  Constant Field Values

### stop

    static final java.lang.String stop

See Also:
  Constant Field Values

### pause

    static final java.lang.String pause

See Also:
  Constant Field Values

### quit

    static final java.lang.String quit

See Also:
  Constant Field Values

### kill

    static final java.lang.String kill

See Also:
  Constant Field Values

### emergencyPause

    static final java.lang.String emergencyPause

See Also:
  Constant Field Values

### overalldelay

    static final java.lang.String overalldelay

See Also:
  Constant Field Values

### print_playfield

    static final java.lang.String print_playfield

See Also:
  Constant Field Values

### print_parameter

    static final java.lang.String print_parameter

See Also:
  Constant Field Values

### openmonitor

    static final java.lang.String openmonitor

See Also:
  Constant Field Values

### closemonitor

    static final java.lang.String closemonitor

See Also:
  Constant Field Values

### replay

    static final java.lang.String replay

See Also:
  Constant Field Values

### ejectreplay

    static final java.lang.String ejectreplay

See Also:
  Constant Field Values

### set

    static final java.lang.String set

See Also:
  Constant Field Values

### damage_points_radius

    static final java.lang.String damage_points_radius

See Also:
  Constant Field Values

### kill_points_radius

    static final java.lang.String kill_points_radius

See Also:
  Constant Field Values

### kill_point_goodies

    static final java.lang.String kill_point_goodies

See Also:
  Constant Field Values

### easy_points

    static final java.lang.String easy_points

See Also:
  Constant Field Values

### damage_length_grow

    static final java.lang.String damage_length_grow

See Also:
  Constant Field Values

### min_move_delay

    static final java.lang.String min_move_delay

See Also:
  Constant Field Values

### init_move_delay

    static final java.lang.String init_move_delay

See Also:
  Constant Field Values

### max_move_delay

    static final java.lang.String max_move_delay

See Also:
  Constant Field Values

### init_length

    static final java.lang.String init_length

See Also:
  Constant Field Values

### auto_grow_delay

    static final java.lang.String auto_grow_delay

See Also:
  Constant Field Values

### auto_slowdown_delay

    static final java.lang.String auto_slowdown_delay

See Also:
  Constant Field Values

### max_goody_occ_delay

    static final java.lang.String max_goody_occ_delay

See Also:
  Constant Field Values

### goody_speed_occ

    static final java.lang.String goody_speed_occ

See Also:
  Constant Field Values

### goody_slowdown_occ

    static final java.lang.String goody_slowdown_occ

See Also:
  Constant Field Values

### goody_length_occ

    static final java.lang.String goody_length_occ

See Also:
  Constant Field Values

### goody_points_occ

    static final java.lang.String goody_points_occ

See Also:
  Constant Field Values

### goody_shorter_occ

    static final java.lang.String goody_shorter_occ

See Also:
  Constant Field Values

### goody_length_value

    static final java.lang.String goody_length_value

See Also:
  Constant Field Values

### goody_points_value

    static final java.lang.String goody_points_value

See Also:
  Constant Field Values

### goody_shorter_value

    static final java.lang.String goody_shorter_value

See Also:
  Constant Field Values

### player_controlling

    static final java.lang.String player_controlling

See Also:
  Constant Field Values

### timekill

    static final java.lang.String timekill

See Also:
  Constant Field Values

### memkill

    static final java.lang.String memkill

See Also:
  Constant Field Values

### min_cycle_ms

    static final java.lang.String min_cycle_ms

See Also:
  Constant Field Values

### tolerance_ms

    static final java.lang.String tolerance_ms

See Also:
  Constant Field Values

### max_thinking_ms

    static final java.lang.String max_thinking_ms

See Also:
  Constant Field Values

### analyse_ms

    static final java.lang.String analyse_ms

See Also:
  Constant Field Values

### max_player_mem

    static final java.lang.String max_player_mem

See Also:
  Constant Field Values

### max_mem_check_delay

    static final java.lang.String max_mem_check_delay

See Also:
  Constant Field Values

### exit_time

    static final java.lang.String exit_time

See Also:
  Constant Field Values

### suddend_time

    static final java.lang.String suddend_time

See Also:
  Constant Field Values

### survival_points

    static final java.lang.String survival_points

See Also:
  Constant Field Values

### show_subcycles

    static final java.lang.String show_subcycles

See Also:
  Constant Field Values

### logging

    static final java.lang.String logging

See Also:
  Constant Field Values

### print_calc_ms

    static final java.lang.String print_calc_ms

See Also:
  Constant Field Values

### print_player_mem

    static final java.lang.String print_player_mem

See Also:
  Constant Field Values

### autogamespeed

    static final java.lang.String autogamespeed

See Also:
  Constant Field Values

### record

    static final java.lang.String record

See Also:
  Constant Field Values

### recordname

    static final java.lang.String recordname

See Also:
  Constant Field Values

### replay_reverse

    static final java.lang.String replay_reverse

See Also:
  Constant Field Values

### replay_stepwidth

    static final java.lang.String replay_stepwidth

See Also:
  Constant Field Values

### replay_stepwise

    static final java.lang.String replay_stepwise

See Also:
  Constant Field Values

### game_end

    static final java.lang.String game_end

See Also:
  Constant Field Values

### TURN_NONE

    static final int TURN_NONE

  the snake moves stright ahead

  See Also:
    Constant Field Values

### TURN_LEFT

    static final int TURN_LEFT

  the snake turns left

  See Also:
    Constant Field Values

### TURN_RIGHT

    static final int TURN_RIGHT

  the snake turns right

  See Also:
    Constant Field Values

### FACE_NORTH

    static final int FACE_NORTH

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### FACE_EAST

    static final int FACE_EAST

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### FACE_SOUTH

    static final int FACE_SOUTH

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### FACE_WEST

    static final int FACE_WEST

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### MOVE_NORTH

    static final int MOVE_NORTH

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### MOVE_EAST

    static final int MOVE_EAST

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### MOVE_SOUTH

    static final int MOVE_SOUTH

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### MOVE_WEST

    static final int MOVE_WEST

  face direction of an GameObject

  See Also:
    `C_GameObject`, Constant Field Values

### IN_ACTION

    static final int IN_ACTION

  if a snake is on the field and running

  See Also:
    Constant Field Values

### IN_HEAVEN

    static final int IN_HEAVEN

  if the snake died in battle, rest in peace

  See Also:
    Constant Field Values

### IN_EXIT

    static final int IN_EXIT

  if the snake has left the house throu the exit

  See Also:
    Constant Field Values

### IN_ERROR_SPACE

    static final int IN_ERROR_SPACE

  if the player was gaining to much RAM-space

  See Also:
    Constant Field Values

### IN_ERROR_TIME

    static final int IN_ERROR_TIME

  if the player needed to much calculationtime

  See Also:
    Constant Field Values

### IN_ERROR_INIT

    static final int IN_ERROR_INIT

  if the player wasnt able to initialize

  See Also:
    Constant Field Values

### IN_ERROR_EXC

    static final int IN_ERROR_EXC

  if the player threw a exception

  See Also:
    Constant Field Values

### MAX_PLAYERS

    static final int MAX_PLAYERS

  the maximal number of players the program can handle

  See Also:
    Constant Field Values

### MAX_HUMAN_PLAYERS

    static final int MAX_HUMAN_PLAYERS

  the maximal number of human players the program can handle

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD